Bug 102268 - Unresolved references in libiberty
Summary: Unresolved references in libiberty
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: binutils   
(Show other bugs)
Version: 1.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-08-13 06:38 UTC by vvs
Modified: 2007-04-18 16:56 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-01 08:04:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description vvs 2003-08-13 06:38:41 UTC
Description of problem:

While building oprofile and (native) eclipse there were unresolved references to
cplus_demangle_v3 and java_demangle_v3 in libiberty.a

Version-Release number of selected component (if applicable):

binutils-2.14.90.0.5-5
oprofile-0.5.2-16.10
snapshot-20030802-eclipse-2.1.0-12 (not in rawhide)

How reproducible:

Always

Steps to Reproduce:
1. rpmbuild --rebuild oprofile-0.5.2-16.10.src.rpm
    
Actual results:

autoconf will die with message that it can't find libiberty.a, but if you look
in it's log you'll find out that actually there are unresolved references.

Expected results:

It should build.

Additional info:

It builds fine with binutils-2.14.90.0.4-23


Note You need to log in before you can comment on or make changes to this bug.